View Issue Details

IDProjectCategoryView StatusLast Update
0021161Plugin - EmailReportingGeneralpublic2016-11-28 13:24
ReporterSteveA Assigned ToSL-Gundam  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionduplicate 
Product Version0.9.1 
Summary0021161: PHP call to process emails fails with a fatal error
Description

Using the command line to call the email processor

php /webstuff/canalplan/bugtrack/plugins/EmailReporting/scripts/bug_report_mail.php

results in the following fatal error in the php error logs:

PHP Fatal error: Call to undefined function auth_is_user_authenticated() in /webstuff/canalplan/bugtrack/core/config_api.php on line 85

TagsNo tags attached.

Relationships

duplicate of 0020399 closedSL-Gundam crash executing the plugins by taskprogrammer 

Activities

SL-Gundam

SL-Gundam

2016-06-26 11:09

manager   ~0053449

Which version of MantisBT are you running?

SteveA

SteveA

2016-06-26 11:23

reporter   ~0053450

I'm running

1.2.19 Security Release (2015-01-25)

SL-Gundam

SL-Gundam

2016-06-26 13:39

manager   ~0053452

Well something is weird since the error mentions line 85, but the function in question is on line 84

Please copy a clean set of MantisBT files for 1.2.19 over your existing installation

SteveA

SteveA

2016-06-26 14:08

reporter   ~0053453

Not sure how it got to be line 85

Re-installed all the mantis files from a fresh download and now get

[26-Jun-2016 19:06:52 Europe/London] PHP Fatal error: Call to undefined function auth_is_user_authenticated() in /webstuff/canalplan/bugtrack/core/config_api.php on line 84

SL-Gundam

SL-Gundam

2016-06-26 15:40

manager   ~0053455

Is it possible you provide a stack trace of this error?

Is this only a standard MantisBT installation plus EmailReporting or are there other plugins/modifications present?

SteveA

SteveA

2016-06-26 16:01

reporter   ~0053456

Standard install with no modifications made

Only other plugin is the TriggerClose plugin version 0.1

What do I need to do to get a stack trace -

SL-Gundam

SL-Gundam

2016-06-26 16:37

manager   ~0053457

Add the following to your config_inc.php

$g_show_detailed_errors = ON;

$g_display_errors = array(
E_WARNING => 'halt',
E_NOTICE => 'halt',
E_USER_ERROR => 'halt',
E_USER_WARNING => 'halt',
E_USER_NOTICE => 'halt'
);

SteveA

SteveA

2016-06-26 16:48

reporter   ~0053458

I've done that - it makes no difference. There are no extra lines in the php error log and nothing is output on the terminal when I run the command link

The utility works from the browser and if I use wget or lynx and pass the browser url.

SL-Gundam

SL-Gundam

2016-06-26 17:00

manager   ~0053459

The code only makes a difference for the output received on the command line or the browser.

Could you try uninstalling the TriggerClose plugin and see whether the error is still there in the log file?

SteveA

SteveA

2016-06-26 17:21

reporter   ~0053460

De-installed the TriggerClose plugin and when I run it I get

php /webstuff/canalplan/bugtrack/plugins/EmailReporting/scripts/bug_report_mail.php
Start checking all mailboxes: Sunday 26th of June 2016 22:14:29

Done checking all mailboxes

So its something in the TriggerClose plugin

SL-Gundam

SL-Gundam

2016-06-26 22:21

manager   ~0053461

Last edited: 2016-06-26 22:33

View 2 revisions

Afraid so.

EmailReporting works pretty much the same way as the send_emails.php script of MantisBT

If it broke EmailReporting it might also break send_emails.php (if you use it) so i suggest taking it up with the devs for TriggerClose

This issue was encountered before. At that time that person appeared to not be running the most recent version of TriggerClose. Please see that issue for further information 0020399:0052133

Added documentation about this issue to the EmailReporting wiki
https://www.mantisbt.org/wiki/doku.php/mantisbt:emailreporting#compatibility_issues

Issue History

Date Modified Username Field Change
2016-06-26 06:50 SteveA New Issue
2016-06-26 11:08 SL-Gundam Assigned To => SL-Gundam
2016-06-26 11:08 SL-Gundam Status new => assigned
2016-06-26 11:09 SL-Gundam Status assigned => feedback
2016-06-26 11:09 SL-Gundam Note Added: 0053449
2016-06-26 11:23 SteveA Note Added: 0053450
2016-06-26 11:23 SteveA Status feedback => assigned
2016-06-26 13:39 SL-Gundam Note Added: 0053452
2016-06-26 13:40 SL-Gundam Status assigned => feedback
2016-06-26 14:08 SteveA Note Added: 0053453
2016-06-26 14:08 SteveA Status feedback => assigned
2016-06-26 14:16 SL-Gundam Status assigned => feedback
2016-06-26 15:40 SL-Gundam Note Added: 0053455
2016-06-26 16:01 SteveA Note Added: 0053456
2016-06-26 16:01 SteveA Status feedback => assigned
2016-06-26 16:37 SL-Gundam Status assigned => feedback
2016-06-26 16:37 SL-Gundam Note Added: 0053457
2016-06-26 16:48 SteveA Note Added: 0053458
2016-06-26 16:48 SteveA Status feedback => assigned
2016-06-26 17:00 SL-Gundam Status assigned => feedback
2016-06-26 17:00 SL-Gundam Note Added: 0053459
2016-06-26 17:21 SteveA Note Added: 0053460
2016-06-26 17:21 SteveA Status feedback => assigned
2016-06-26 22:21 SL-Gundam Status assigned => resolved
2016-06-26 22:21 SL-Gundam Resolution open => no change required
2016-06-26 22:21 SL-Gundam Note Added: 0053461
2016-06-26 22:21 SL-Gundam Relationship added duplicate of 0020399
2016-06-26 22:33 SL-Gundam Note Edited: 0053461 View Revisions
2016-11-28 13:24 SL-Gundam Status resolved => closed
2016-11-28 13:24 SL-Gundam Resolution no change required => duplicate